/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package com.cosmodas.FacadeCosmos;

import com.cosmodas.EntCosmos.*;

import java.util.Date;
import java.util.List;
import javax.ejb.Local;

/**
 * @author obper
 */
@Local
public interface SucursalesFacadeLocal {

    void create(Sucursales sucursales);

    void edit(Sucursales sucursales);

    void remove(Sucursales sucursales);

    Sucursales find(Object id);

    List<Sucursales> findAll();

    List<Sucursales> findRange(int[] range);

    int count();

    String get_sucursal_nombre(String sucursalCodigo);

    List<Sucursales> listaPorSucursalDescarga(String sucursalDescargaCodigo);

    Sucursales getSucursal(String terminal);

    List<Sucursales> listSalas();

    Consultores findConsultor(String consultorCodigo);

    Documentos findDocumentos(String documentoCodigo);

    List<proPremios> findCallProPremios(String consultorCodigo, String programaCodigo, String fechaInicial, String fechaFinal);

    List<proKardex> findCallKardex(String consultorCodigo, Date fechaInicial, Date fechaFinal);

    Productos getProducto(String productoCodigo);

    Integer ExistenciasProducto2(String productoCodigo, String sucursalCodigo);

    Facturas buskedaFact(FacturasPK facturaCodigo);

    boolean ExistenciasProductoFino(String productoCodigo, String programaCodigo, String sucursalCodigo, Integer cantidad);

    List<VventasSalas> ventasSalas();

    List<Sucursales> sucursalesActivas();


}
